#
# spec file for package freeradius (Version 1.1.7)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           freeradius
BuildRequires:  apache2-devel db-devel gdbm-devel krb5-devel libapr-util1-devel
BuildRequires:  mysql-devel openldap2 openldap2-devel pam-devel pcre-devel
BuildRequires:  postgresql-devel python-devel unixODBC-devel
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Productivity/Networking/Radius/Servers
Provides:       radiusd
Conflicts:      radiusd-livingston radiusd-cistron icradius
Version:        1.1.7
Release:        21.8.39
Url:            http://www.freeradius.org/
Summary:        Very Highly Configurable Radius Server
Source0:        %{name}-%{version}.tar.bz2
Source1:        rcradiusd
Source2:        README.SuSE
Source3:        radqkstart.pdf
Source4:        radadmin.pdf
Source5:        admin-httpd.conf
Patch0:         %{name}-lib64.patch
Patch1:         %{name}-ltdl.patch
Patch2:         %{name}-dialup_admin.patch
Patch3:         %{name}-token-support.patch
Patch4:         %{name}-fix_type_punning.patch
Patch5:         %{name}-CVE-2008-4474.patch
Patch6:         %{name}-CVE-2009-3111.patch
Patch7:         freeradius-case-insensitive-default-login-sequence.patch
Patch8:         freeradius-edirectory-ldap-64b.patch
PreReq:         /usr/sbin/useradd /usr/sbin/groupadd
PreReq:         %insserv_prereq %fillup_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define apxs2 apxs2-prefork
%define apache2_sysconfdir %(/usr/sbin/%{apxs2} -q SYSCONFDIR)

%description
The FreeRADIUS server has a number of features found in other servers
and additional features not found in any other server. The server's
features are:

* Support for RFC and VSA attributes

* Additional server configuration attributes

* Selection of a particular configuration

* Authentication methods

* Accounting methods



Authors:
--------
    Miquel van Smoorenburg <miquels@cistron.nl>
    Alan DeKok <aland@ox.org>
    Mike Machado <mike@innercite.com>
    Alan Curry
    various other people

%package dialupadmin
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Productivity/Networking/Radius/Servers
Summary:        Web management for FreeRADIUS
Requires:       http_daemon mod_php_any php
Requires:       php-ldap php-mysql perl-DateManip
Requires:       php-pgsql php-session

%description dialupadmin
Dialup Admin supports users either in SQL (MySQL or PostgreSQL are
supported) or in LDAP. Apart from the web pages, it also includes a
number of scripts to make the administrator's life a lot easier.



Authors:
--------
    Kostas Kalevras <kkalev at noc.ntua.gr>
    Basilis Pappas <vpappas at noc.ntua.gr>
    Panagiotis Christias <christia at noc.ntua.gr>
    Thanasis Duitsis <aduitsis at noc.ntua.gr>

%package devel
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Development/Libraries/C and C++
Summary:        FreeRADIUS Development Files (static libs)

%description devel
These are the static libraries for the FreeRADIUS package.



Authors:
--------
    Miquel van Smoorenburg <miquels@cistron.nl>
    Alan DeKok <aland@ox.org>
    Mike Machado <mike@innercite.com>
    Alan Curry
    various other people

%prep
%setup -q
%ifarch x86_64 s390x
%patch0
%endif
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7 -p1
%patch8
rm -rf `find . -name CVS`
mkdir novell
cp -f %{SOURCE3} %{SOURCE4} novell/

%build
export CFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED"
%ifarch x86_64 ppc ppc64 s390 s390x
export CFLAGS="$CFLAGS -fPIC"
%endif
%if %suse_version > 1000
export CFLAGS="$CFLAGS -fstack-protector"
%endif
./configure \
		--prefix=%{_prefix} \
                --sysconfdir=%{_sysconfdir} \
		--infodir=%{_infodir} \
		--mandir=%{_mandir} \
		--localstatedir=/var \
		--libdir=/usr/lib/freeradius \
		--with-threads \
		--with-snmp \
		--with-large-files \
		--with-udpfromto \
		--disable-ltdl-install \
		--with-gnu-ld \
%if %suse_version <= 920
		--enable-heimdal-krb5 \
		--with-rlm-krb5-include-dir=/usr/include/heimdal/ \
%endif
		--with-rlm-krb5-lib-dir=%{_libdir} \
		--enable-strict-dependencies \
		--with-edir
# no parallel build possible
make

%install
mkdir -p $RPM_BUILD_ROOT/var/lib/radiusd
make install R=$RPM_BUILD_ROOT INSTALLSTRIP=
# modify default configuration
RADDB=$RPM_BUILD_ROOT%{_sysconfdir}/raddb
perl -i -pe 's/^#user =.*$/user = radiusd/'   $RADDB/radiusd.conf
perl -i -pe 's/^#group =.*$/group = radiusd/' $RADDB/radiusd.conf
/sbin/ldconfig -n $RPM_BUILD_ROOT/usr/lib/freeradius
# logs
touch $RPM_BUILD_ROOT/var/log/radius/radutmp
# SuSE
install -d     $RPM_BUILD_ROOT/etc/pam.d
install -d     $RPM_BUILD_ROOT/etc/logrotate.d
%if %suse_version > 920
install -m 644 suse/radiusd-pam $RPM_BUILD_ROOT/etc/pam.d/radiusd
%else
install -m 644 suse/radiusd-pam-old $RPM_BUILD_ROOT/etc/pam.d/radiusd
%endif
install -m 644 suse/radiusd-logrotate $RPM_BUILD_ROOT/etc/logrotate.d/radiusd
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install    -m 744 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/radiusd
ln -sf ../../etc/init.d/radiusd $RPM_BUILD_ROOT/usr/sbin/rcradiusd
mv -v doc/README doc/README.doc
# install dialup_admin
mkdir -p $RPM_BUILD_ROOT%{_datadir}/dialup_admin
cp -r dialup_admin/* $RPM_BUILD_ROOT%{_datadir}/dialup_admin
# apache2 config
install -d -m 755 $RPM_BUILD_ROOT%{apache2_sysconfdir}/conf.d
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{apache2_sysconfdir}/conf.d/radius.conf
# remove unneeded stuff
rm -rf doc/00-OLD
rm -f $RPM_BUILD_ROOT/etc/raddb/experimental.conf $RPM_BUILD_ROOT/usr/sbin/radwatch $RPM_BUILD_ROOT/usr/sbin/rc.radiusd
rm -rf $RPM_BUILD_ROOT/usr/share/doc/freeradius*
rm -rf $RPM_BUILD_ROOT/usr/lib/freeradius/*.la

%pre
/usr/sbin/groupadd -r radiusd 2> /dev/null || :
/usr/sbin/useradd -r -g radiusd -s /bin/false -c "Radius daemon" -d \
                  /var/lib/radiusd radiusd 2> /dev/null || :

%post
%{fillup_and_insserv -s radiusd START_RADIUSD }
%if %suse_version > 820

%preun
%stop_on_removal radiusd
%endif

%postun
%if %suse_version > 820
%restart_on_update radiusd
%endif
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# doc
%doc $RPM_SOURCE_DIR/README.SuSE
%doc doc/* LICENSE COPYRIGHT CREDITS README
%doc scripts/create-users.pl scripts/CA.* scripts/certs.sh 
%doc scripts/users2mysql.pl scripts/xpextensions
%doc scripts/cryptpasswd scripts/exec-program-wait scripts/radiusd2ldif.pl
%doc novell/
# SuSE
%config %{_sysconfdir}/init.d/radiusd
%config %{_sysconfdir}/pam.d/radiusd
%config %{_sysconfdir}/logrotate.d/radiusd
%{_sbindir}/rcradiusd
%dir %attr(755,radiusd,radiusd) /var/lib/radiusd
# configs
%dir %{_sysconfdir}/raddb
%defattr(-,root,radiusd)
%config %{_sysconfdir}/raddb/dictionary
%config(noreplace) %{_sysconfdir}/raddb/acct_users
%config(noreplace) %{_sysconfdir}/raddb/attrs
%attr(640,root,radiusd) %ghost %config(noreplace) %{_sysconfdir}/raddb/clients
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/clients.conf
%config(noreplace) %{_sysconfdir}/raddb/hints
%config(noreplace) %{_sysconfdir}/raddb/huntgroups
%config(noreplace) %{_sysconfdir}/raddb/ldap.attrmap
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mssql.conf
%ghost %config(noreplace) %{_sysconfdir}/raddb/naslist
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/naspasswd
%attr(640,root,radiusd) %ghost %config(noreplace) %{_sysconfdir}/raddb/oraclesql.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/postgresql.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/postgresqlippool.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/preproxy_users
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/proxy.conf
%config(noreplace) %{_sysconfdir}/raddb/radiusd.conf
%ghost %config(noreplace) %{_sysconfdir}/raddb/realms
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/snmp.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sql.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sqlippool.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/users
%config(noreplace) %{_sysconfdir}/raddb/otp.conf
#%attr(640,root,radiusd) %{_sysconfdir}/raddb/otppasswd.sample
%defattr(640,root,radiusd,750)
%config(noreplace) %{_sysconfdir}/raddb/certs/
%config(noreplace) %{_sysconfdir}/raddb/eap.conf
%{_sysconfdir}/raddb/example.pl
%attr(700,radiusd,radiusd) %dir /var/run/radiusd/
# binaries
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/check-radiusd-config
%{_sbindir}/checkrad
%{_sbindir}/radiusd
# shared libs
%attr(755,root,root) %dir /usr/lib/freeradius
#%attr(755,root,root) %{_prefix}/lib/freeradius/*.so*
%{_prefix}/lib/freeradius/libeap*.so
%{_prefix}/lib/freeradius/libradius*.so
%{_prefix}/lib/freeradius/rlm_acct_unique*.so
%{_prefix}/lib/freeradius/rlm_always*.so
%{_prefix}/lib/freeradius/rlm_attr_filter*.so
%{_prefix}/lib/freeradius/rlm_attr_rewrite*.so
%{_prefix}/lib/freeradius/rlm_chap*.so
%{_prefix}/lib/freeradius/rlm_checkval*.so
%{_prefix}/lib/freeradius/rlm_counter*.so
%{_prefix}/lib/freeradius/rlm_dbm*.so
%{_prefix}/lib/freeradius/rlm_detail*.so
%{_prefix}/lib/freeradius/rlm_digest*.so
%{_prefix}/lib/freeradius/rlm_eap-*.so
%{_prefix}/lib/freeradius/rlm_eap.so
%{_prefix}/lib/freeradius/rlm_eap_gtc*.so
%{_prefix}/lib/freeradius/rlm_eap_leap*.so
%{_prefix}/lib/freeradius/rlm_eap_md5*.so
%{_prefix}/lib/freeradius/rlm_eap_mschapv2*.so
%{_prefix}/lib/freeradius/rlm_eap_peap*.so
%{_prefix}/lib/freeradius/rlm_eap_sim*.so
%{_prefix}/lib/freeradius/rlm_eap_tls*.so
%{_prefix}/lib/freeradius/rlm_eap_ttls*.so
%{_prefix}/lib/freeradius/rlm_exec*.so
%{_prefix}/lib/freeradius/rlm_expr*.so
%{_prefix}/lib/freeradius/rlm_fastusers*.so
%{_prefix}/lib/freeradius/rlm_files*.so
%{_prefix}/lib/freeradius/rlm_ippool*.so
%{_prefix}/lib/freeradius/rlm_krb5*.so
%{_prefix}/lib/freeradius/rlm_ldap*.so
%{_prefix}/lib/freeradius/rlm_mschap*.so
%{_prefix}/lib/freeradius/rlm_ns_mta_md5*.so
%{_prefix}/lib/freeradius/rlm_pam*.so
%{_prefix}/lib/freeradius/rlm_pap*.so
%{_prefix}/lib/freeradius/rlm_passwd*.so
%{_prefix}/lib/freeradius/rlm_perl*.so
%{_prefix}/lib/freeradius/rlm_preprocess*.so
%{_prefix}/lib/freeradius/rlm_radutmp*.so
%{_prefix}/lib/freeradius/rlm_realm*.so
%{_prefix}/lib/freeradius/rlm_sql-*.so
%{_prefix}/lib/freeradius/rlm_sql.so
%{_prefix}/lib/freeradius/rlm_sqlcounter*.so
%{_prefix}/lib/freeradius/rlm_sql_log*.so
%{_prefix}/lib/freeradius/rlm_sql_mysql*.so
%{_prefix}/lib/freeradius/rlm_sql_postgresql*.so
%{_prefix}/lib/freeradius/rlm_sql_unixodbc*.so
%{_prefix}/lib/freeradius/rlm_sqlippool*.so
%{_prefix}/lib/freeradius/rlm_unix*.so
%{_prefix}/lib/freeradius/rlm_otp*.so
# man-pages
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
# dictionaries
%attr(755,root,root) %dir /usr/share/freeradius
/usr/share/freeradius/*
# logs
%attr(700,radiusd,radiusd) %dir /var/log/radius/
%attr(700,radiusd,radiusd) %dir /var/log/radius/radacct/
%attr(644,radiusd,radiusd) /var/log/radius/radutmp

%files dialupadmin
%defattr(-,root,root)
%dir %{_datadir}/dialup_admin/
%{_datadir}/dialup_admin/bin/
%{_datadir}/dialup_admin/doc/
%{_datadir}/dialup_admin/htdocs/
%{_datadir}/dialup_admin/html/
%{_datadir}/dialup_admin/lib/
%{_datadir}/dialup_admin/sql/
%dir %{_datadir}/dialup_admin/conf/
%config(noreplace) %{_datadir}/dialup_admin/conf/*
%config(noreplace) %{apache2_sysconfdir}/conf.d/radius.conf
%{_datadir}/dialup_admin/Changelog
%{_datadir}/dialup_admin/README

%files devel
%defattr(-,root,root)
%{_prefix}/lib/freeradius/*.a
#%attr(644,root,root) /usr/lib/freeradius/*.la

%changelog
* Tue Nov  2 2010 puzel@novell.com
- add freeradius-edirectory-ldap-64b.patch (bnc#553744)
* Wed Oct 27 2010 puzel@novell.com
- freeradius-case-insensitive-default-login-sequence.patch
  (bnc#527742)
* Tue Sep 15 2009 prusnak@suse.cz
- fixed CVE-2009-3111 [bnc#538023]
* Wed May 13 2009 prusnak@suse.cz
- updated to 1.1.7 [Fate#303483]
  * changes too numerous to list (see doc/ChangeLog for more details)
* Tue Feb 10 2009 prusnak@suse.cz
- fixed eDirectory bug on 64bit architectures
  (modified token-support.patch) [bnc#474006]
* Thu Oct  9 2008 prusnak@suse.cz
- fixed CVE-2008-4474 [bnc#433762]
* Tue Jan 15 2008 prusnak@suse.cz
- add eDirectory NMAS support for SLE10-SP2
  [#266426] [Fate#302156]
* Thu May  3 2007 pth@suse.de
- Fix vulnerability in the EAP-TTLS module (#264303, CVE-2007-2028)
* Tue Mar 28 2006 stark@suse.de
- fixed an error on x86_64 machines when reading dictionaries
  (#161503)
- make "use_tunneled_reply" work properly for PEAP
* Mon Mar 27 2006 ro@suse.de
- also use fPIC on s390*
* Thu Mar 23 2006 stark@suse.de
- fixed validation issue with the EAP-MSCHAPv2 module (#160249)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 stark@suse.de
- fixed directory permissions (#141153)
* Thu Jan 19 2006 ro@suse.de
- changed php requires to generic ones (for php5)
* Sat Jan 14 2006 stark@suse.de
- use --with-udpfromto useful for systems with multiple addresses
* Thu Jan 12 2006 stark@suse.de
- update to version 1.1.0
* Wed Jan 11 2006 stark@suse.de
- adding stack-protector to CFLAGS
- don't package *.la files for now (#141207)
* Wed Dec 21 2005 stark@suse.de
- fixed realloc() in rlm_pam
* Tue Nov 15 2005 stark@suse.de
- moved dialup_admin to subpackage and integrate it into
  Apache 2 configuration
* Sun Sep 25 2005 ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Fri Sep 23 2005 stark@suse.de
- update to version 1.0.5
- updated eDirectory integration documentation
* Thu Sep 22 2005 ro@suse.de
- fix build-dir references in .la files
* Tue Aug 30 2005 stark@suse.de
- fixed some issues from security audit (#104195)
  (is already upstream for 1.0.5 release)
* Mon Aug 15 2005 stark@suse.de
- fix mysql creation script (#104752)
* Sat Jun 18 2005 stark@suse.de
- update to version 1.0.4
* Sat Jun  4 2005 stark@suse.de
- update to version 1.0.3
- link radiusd with -pie
* Mon Apr 11 2005 stark@suse.de
- start daemon correctly (#75979)
- fixed packaging on x86-64 (#75979)
* Wed Mar  2 2005 stark@suse.de
- com_err.h patch not needed anymore
- modified spec-file to work with older distributions
* Fri Feb 18 2005 stark@suse.de
- enabled eDirectory support and added documentation
* Thu Feb 17 2005 stark@suse.de
- update to 1.0.2
* Sat Nov 27 2004 stark@suse.de
- fixed installation of radeapclient (#48549)
* Sat Nov 20 2004 stark@suse.de
- don't use heimdal for distributions newer than 9.2
* Mon Nov 15 2004 kukuk@suse.de
- Use common-* PAM configuration
* Sat Oct 23 2004 stark@suse.de
- update to version 1.0.1
- moved *.la files to devel package
* Sat Aug 28 2004 stark@suse.de
- modify logrotate config (#44436)
* Tue Aug 17 2004 sndirsch@suse.de
- fixed syntax error (Typo?) in init script
* Fri Aug 13 2004 stark@suse.de
- added some sample scripts to documentation
* Tue Aug 10 2004 stark@suse.de
- update to 1.0.0
* Wed Jun 23 2004 ro@suse.de
- update to 1.0.0pre3 (version set as 0.9.9)
* Thu Feb  5 2004 stark@suse.de
- disabled rlm_sql_iodbc and enabled rlm_sql_unixodb
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Mon Jan 12 2004 adrian@suse.de
- add %%defattr
* Fri Nov 28 2003 stark@suse.de
- security update to 0.9.3
  * Fix a remote DoS and possible exploit due to mis-handling
    of tagged attributes, and Tunnel-Password attribute.
* Thu Oct 16 2003 stark@suse.de
- update to 0.9.2
  (see /usr/share/doc/packages/freeradius/ChangeLog)
* Fri Aug  1 2003 ro@suse.de
- fix include path for com_err.h
* Thu Jul 31 2003 stark@suse.de
- use stop/restart macros
* Wed Jul 23 2003 stark@suse.de
- use special user for running radiusd
- modify default configuration to work without changes
  (Auth-Type = Local)
- added README.SuSE explaining about radiusd user
* Mon Jul 21 2003 stark@suse.de
- update to 0.9.0
- build against libiodbc to enable iodbc module
* Wed Jun  4 2003 schwab@suse.de
- Add db-devel to neededforbuild.
- Don't use system libtool.
- Fix use of sort.
- Avoid running autoconf.
* Tue Apr 15 2003 ro@suse.de
- fixed neededforbuild
* Mon Mar  3 2003 kukuk@suse.de
- removed %%ghost stuff from filelist
* Fri Feb  7 2003 kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Wed Jan 15 2003 ro@suse.de
- use sasl2
* Tue Jan 14 2003 nadvornik@suse.cz
- fixed multi-line string literals
* Thu Dec 12 2002 stark@suse.de
- update to 0.8.1
  * minor bugfixes
* Mon Dec  2 2002 stark@suse.de
- removed radwatch from package
* Tue Nov 19 2002 stark@suse.de
- update to 0.8
  * Support for Status-Server packets
  * Fixed memory leak when proxying
  * Round-robin load balancing when proxying
  * Many bug fixes
  * (/usr/share/doc/packages/ChangeLog)
- moved modules to /usr/lib/freeradius
* Sun Aug 18 2002 ro@suse.de
- don't overwrite README's with each other
* Fri Aug 16 2002 stark@suse.de
- added PreReq (Bug #17838)
* Wed Jun 19 2002 ro@suse.de
- hack ltconfig for ppc64
* Mon Apr  8 2002 stark@suse.de
- fixed packaging on 64bit platforms
- added logrotate config
- added some sample scripts to doc-dir
* Fri Mar 22 2002 stark@suse.de
- update to 0.5
  * MS-CHAP and MS-CHAPv2 MPPE support,
  * EAP/MD5 and experimental EAP/TLS,
  * Experimental PHP web administration interface,
  * Fixes for *BSD,
  * Configurable database queries, executed per packet
    (e.g. %%{ldap:ldap:///dc=company,dc=com?uid?sub?uid=%%u}),
  * Fix logic bug which would cause occasional server crashes,
  * Server-side quenching of DoS attacks,
  * Experimental Python module,
  * Aptis, Quintum, and Foundry dictionaries,
  * Limited support for IPv6.
* Mon Feb 25 2002 stark@suse.de
- moved *.la back to main-package as it is needed for
  dynamic loading of modules
* Mon Feb 25 2002 stark@suse.de
- added patch to work with heimdal-krb5
- moved *.so to -devel package
* Fri Feb  8 2002 stark@suse.de
- deactivated kerberos support
  (seems to be not compatible with heimdal :-()
* Thu Feb  7 2002 stark@suse.de
- changed heimdal libdir
* Thu Dec 13 2001 stark@suse.de
- update to 0.4
- better use of fillup_and_insserv
* Mon Dec  3 2001 stark@suse.de
- don't use START_RADIUSD anymore
- make use of new fillup_and_insserv macro
* Fri Oct 12 2001 stark@suse.de
- update to version 0.3
- packed source-archive as bz2
- branched package -> devel
* Fri Aug  3 2001 stark@suse.de
- removed use of watcher-script
- removed config-check (-C) in init script
  (it's not supported in freeradius)
* Thu Aug  2 2001 stark@suse.de
- status fix in init script
- renamed pam-configfile: radius -> radiusd
* Wed Aug  1 2001 stark@suse.de
- updated to 0.2
* Thu Jul 26 2001 kukuk@suse.de
- Fix needed for build
* Tue Jul 10 2001 stark@suse.de
- added %%{suse_update_config}
* Sat Jun 23 2001 schwab@suse.de
- Fix preprocessor directives inside macro arguments.
* Mon Jun 18 2001 stark@suse.de
- removed absolute paths from pam-config
* Wed May 23 2001 stark@suse.de
- first official beta-version 0.1
* Wed Mar 21 2001 stark@suse.de
- new snapshot 20010321 (pre-BETA)
- replaced start- and killproc to avoid problems with Kernel 2.4
  using the radwatch shell-script
- added built of LDAP and MySQL modules
* Mon Jan 29 2001 stark@suse.de
- %%files: /etc/raddb/bay.vendor -> /etc/raddb/dictionary.bay
* Mon Jan 15 2001 stark@suse.de
- new snapshot 20010115
- initial BETA package (sources are ALPHA!)
* Thu Jan  4 2001 stark@suse.de
- CVS snapshot 20010104
